> For the complete documentation index, see [llms.txt](https://spice.docs.medtroniclabs.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://spice.docs.medtroniclabs.org/engineering/api-documentation/spice-service/create-diagnosis.md).

# Create Diagnosis

| **API URL**     | {{url}}/spice-service/patient/confirm-diagnosis |
| --------------- | ----------------------------------------------- |
| **Method**      | POST                                            |
| **Description** | Create patient diagnosis                        |

#### **Input:** <a href="#creatediagnosis-v2-input" id="creatediagnosis-v2-input"></a>

| **Field Name**         | **Type** | **Mandatory** | **Example**                                                                                                                             |
| ---------------------- | -------- | ------------- | --------------------------------------------------------------------------------------------------------------------------------------- |
| patientId              | Integer  | Yes           | Patient Id                                                                                                                              |
| patientReference       | String   | No            | Patient Reference                                                                                                                       |
| diseases               | String   | Yes           | Patient disease                                                                                                                         |
| diseaseCategoryId      | Bigint   | Yes           | Disease Category Id                                                                                                                     |
| diseaseCategory        | String   | Yes           | Disease Category                                                                                                                        |
| provenance             | String   | Yes           | Patient Provenance                                                                                                                      |
| type                   | String   | Yes           | Medical review type                                                                                                                     |
| otherNotes             | String   | Yes           | Custom notes                                                                                                                            |
| Authorization (Header) | String   | Yes           | Bearer 1ba363a1edf54402b51f58060aa52b11d30f99a490295adec900fdabf2b472181c0bfb165be18f4f5c430c7218a244bd29b9300d3471acc08197ccfb996118f6 |
| client                 | String   | Yes           | mob                                                                                                                                     |

#### **Sample Input:** <a href="#creatediagnosis-v2-sampleinput" id="creatediagnosis-v2-sampleinput"></a>

{\
"patientId": "1",\
"patientReference": null,\
"diseases": \[\
{\
"diseaseCategoryId": 1,\
"diseaseConditionId": null,\
"diseaseCategory": "uncomplicatedMalaria",\
"notes": null,\
"diseaseCondition": null,\
"type": null\
}\
],\
"provenance": {\
"userId": "11",\
"spiceUserId": 1,\
"organizationId": "91",\
"modifiedDate": "2025-01-20T06:41:12+00:00"\
},\
"type": "UNDER\_FIVE\_YEARS",\
"otherNotes": "Health",\
"value": null\
}

#### **Output:** <a href="#creatediagnosis-v2-output" id="creatediagnosis-v2-output"></a>

| **Field Name** | **Type** | **Comments**                               |
| -------------- | -------- | ------------------------------------------ |
| message        | String   | Patient diagnosis was updated successfully |
| status         | Boolean  | Response status                            |

#### **Sample Output:** <a href="#creatediagnosis-v2-sampleoutput" id="creatediagnosis-v2-sampleoutput"></a>

```
{
  "message": "Patient diagnosis was updated successfully.",
  "entity": null,
  "status": true,
  "entityList": null,
  "responseCode": 200,
  "totalCount": null
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://spice.docs.medtroniclabs.org/engineering/api-documentation/spice-service/create-diagnosis.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
